[Solved] LuaSocket broken in 11.0/11.1

Questions about the LÖVE API, installing LÖVE and other support related questions go here.
Forum rules
Before you make a thread asking for help, read this.
Post Reply
User avatar
Parameterized
Prole
Posts: 8
Joined: Mon Sep 08, 2014 2:18 pm

[Solved] LuaSocket broken in 11.0/11.1

Post by Parameterized » Sat Jun 09, 2018 5:15 am

The attached love file (same code here - https://repl.it/@parameterized/LuaSocket-Test) works in 0.10.2, but not 11.0.0 or 11.1.0.
I tried running server update code in another thread in case it was blocking, but that didn't work.
Equivalent code written for udp sockets also worked in 0.10.2 but not 11.0.0.
The update notes mention an update of LuaSocket from 2.0.2 to 3.0rc1. I'm sure this is relevant, but repl uses LuaSocket 3.0rc1 as well and the same code works there.
Attachments
nettest.love
(657 Bytes) Downloaded 38 times
Last edited by Parameterized on Sat Jun 09, 2018 3:06 pm, edited 1 time in total.

User avatar
bartbes
Sex machine
Posts: 4946
Joined: Fri Aug 29, 2008 10:35 am
Location: The Netherlands
Contact:

Re: LuaSocket broken in 11.0/11.1

Post by bartbes » Sat Jun 09, 2018 10:16 am

Someone else ran into the problem that binding to * seems to only bind on ipv6. Since you're explicitly using an ipv4 address to connect, that may very well be the same thing you're seeing. Can you try one/both of binding to 0.0.0.0 or connecting to ::1?

User avatar
Parameterized
Prole
Posts: 8
Joined: Mon Sep 08, 2014 2:18 pm

Re: LuaSocket broken in 11.0/11.1

Post by Parameterized » Sat Jun 09, 2018 3:03 pm

Both of those individually worked, thanks.

Post Reply

Who is online

Users browsing this forum: No registered users and 39 guests